﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MultiOptionCell
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.ActiveSheet.RowCount = 5;
            fpSpread1.ActiveSheet.ColumnCount = 2;
            

            FarPoint.Win.Spread.CellType.MultiOptionCellType multcell = new FarPoint.Win.Spread.CellType.MultiOptionCellType();
            multcell.Items = new String[] { "ComboBox", "TextBox"};
            multcell.Orientation = FarPoint.Win.RadioOrientation.Vertical;
            multcell.EditorValue = FarPoint.Win.Spread.CellType.EditorValue.String;
            fpSpread1.ActiveSheet.Columns[0].CellType = multcell;
            multcell.EditorValueChanged += new EventHandler(multcell_EditorValueChanged);

       }

        void multcell_EditorValueChanged(object sender, EventArgs e)
        {
            switch (fpSpread1.ActiveSheet.ActiveCell.Value.ToString())
            {
                case "ComboBox": FarPoint.Win.Spread.CellType.ComboBoxCellType cct = new FarPoint.Win.Spread.CellType.ComboBoxCellType();
                    cct.Items = new string[] {"Value1","Value2","Value3" };
                    fpSpread1.ActiveSheet.Cells[fpSpread1.ActiveSheet.ActiveRowIndex,1].CellType = cct;
                    break;
                case "TextBox": FarPoint.Win.Spread.CellType.TextCellType tct = new FarPoint.Win.Spread.CellType.TextCellType();
                    fpSpread1.ActiveSheet.Cells[fpSpread1.ActiveSheet.ActiveRowIndex, 1].CellType = tct;
                    break;

            }
        }
    }
}
